package org.ow2.util.pool.impl.enhanced.impl.waitcontrol;

import java.util.concurrent.locks.Condition;

import org.ow2.util.pool.impl.enhanced.api.IWaitControl;
import org.ow2.util.pool.impl.enhanced.api.WaiterInterruptedException;
import org.ow2.util.pool.impl.enhanced.internal.conditionWaitPart.IConditionWaitPart;

/**
 * @author Gael Lalire
 */
public class NoWaitControl implements IWaitControl {

    public static final NoWaitControl INSTANCE = new NoWaitControl();

    protected NoWaitControl() {
    }

    public void popWaitAuthorization() {
    }

    public void pushWaitAuthorization(final WaitAuthorization waitAuthorization) {
    }

    public boolean waitOnCondition(final Condition condition) throws InterruptedException, WaiterInterruptedException {
        return false;
    }

    public boolean waitOnMutex(final Object mutex) throws InterruptedException, WaiterInterruptedException {
        return false;
    }

    public boolean canContinueToWait() {
        return false;
    }

    public boolean waitOnConditionWaitPart(final IConditionWaitPart condition) throws InterruptedException,
            WaiterInterruptedException {
        return false;
    }

    public void verifyInterrupted() throws WaiterInterruptedException {
    }

}
